> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create authentication token

> Mints a new JWT token for user authentication



## OpenAPI

````yaml /api-reference/gns3util-master-api-docs.json post /api/v1/auth/token
openapi: 3.0.0
info:
  description: API for gns3util cluster management
  title: gns3util cluster master API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/auth/token:
    post:
      tags:
        - auth
      summary: Create authentication token
      description: Mints a new JWT token for user authentication
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.CreateTokenRequest'
        description: Token creation request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
components:
  schemas:
    models.CreateTokenRequest:
      type: object
      properties:
        user_id:
          type: string
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized

````